<!-- <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Image Zoom and Drag</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            height: 100%;
            overflow: hidden;
        }

        .image-container {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100%;
            overflow: hidden;
            cursor: grab;
            position: relative; /* Ensure relative positioning for absolute child */
        }

        #zoomable-image {
            transition: transform 0.2s;
            position: absolute;
            cursor: grab;
        }
    </style>
</head>
<body>
    <div class="image-container" id="image-container">
        <img src="./sitemapmain.jpg" alt="Zoomable Image" id="zoomable-image" draggable="false">
    </div>
    <script>
        const img = document.getElementById('zoomable-image');
        const container = document.getElementById('image-container');
        let scale = 1;
        const minScale = 0.5;
        const maxScale = 3; // Set your maximum zoom limit here

        let isDragging = false;
        let startX, startY, initialX, initialY;

        // Calculate boundaries function
        function calculateBoundaries() {
            const containerRect = container.getBoundingClientRect();
            const imgRect = img.getBoundingClientRect();

            const minX = containerRect.left;
            const maxX = containerRect.right - imgRect.width;
            const minY = containerRect.top;
            const maxY = containerRect.bottom - imgRect.height;

            return { minX, maxX, minY, maxY };
        }

        // Zoom functionality
        window.addEventListener('wheel', (event) => {
            if (event.deltaY < 0) {
                // Scroll up, zoom in
                scale += 0.1;
            } else {
                // Scroll down, zoom out
                scale -= 0.1;
            }

            // Set limits to the scale factor
            scale = Math.min(Math.max(minScale, scale), maxScale);

            img.style.transform = `scale(${scale})`;

            // Update initial positions to maintain dragging consistency after zoom
            const rect = img.getBoundingClientRect();
            startX = rect.left + window.scrollX;
            startY = rect.top + window.scrollY;
        });

        // Disable default drag behavior
        img.addEventListener('dragstart', (event) => {
            event.preventDefault();
        });

        // Drag functionality
        img.addEventListener('mousedown', (event) => {
            isDragging = true;
            startX = event.clientX;
            startY = event.clientY;
            initialX = img.offsetLeft;
            initialY = img.offsetTop;
            container.style.cursor = 'grabbing';
        });

        window.addEventListener('mousemove', (event) => {
            if (isDragging) {
                const dx = event.clientX - startX;
                const dy = event.clientY - startY;

                // Calculate boundaries
                const boundaries = calculateBoundaries();

                // Apply boundaries to movement
                let newX = initialX + dx;
                let newY = initialY + dy;

                // Ensure image stays within boundaries
                newX = Math.max(boundaries.minX, Math.min(boundaries.maxX, newX));
                newY = Math.max(boundaries.minY, Math.min(boundaries.maxY, newY));

                img.style.left = `${newX}px`;
                img.style.top = `${newY}px`;
            }
        });

        window.addEventListener('mouseup', () => {
            isDragging = false;
            container.style.cursor = 'grab';
        });

        container.addEventListener('mouseleave', () => {
            if (isDragging) {
                isDragging = false;
                container.style.cursor = 'grab';
            }
        });
    </script>
</body>
</html> -->






<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Faded Transition Between Divs</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            height: 100%;
            overflow: hidden;
        }

        .container {
            height: 200vh; /* To ensure we have enough space to scroll */
        }

        .top-div {
            position: relative;
            height: 100vh;
            background-image: url('path_to_your_image.jpg');
            background-size: cover;
            background-position: center;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .bottom-div {
            height: 100vh;
            background-color: white;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .fade-overlay {
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            height: 200px; /* Adjust height to control the transition effect */
            background: linear-gradient(to bottom, rgba(135, 152, 106, 0) 0%, rgba(135, 152, 106, 1) 100%);
        }

        .content {
            color: white;
            text-align: center;
            padding: 20px;
            background: rgba(0, 0, 0, 0.5); /* Optional: Add a semi-transparent background for readability */
            border-radius: 10px;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="top-div">
            <div class="fade-overlay"></div>
            <div class="content">
                <h1>Top Div with Background Image</h1>
                <p>This is some text over the background image.</p>
            </div>
        </div>
        <div class="bottom-div">
            <div class="content">
                <h1>Bottom Div with White Background</h1>
                <p>This is some text over the white background.</p>
            </div>
        </div>
    </div>
</body>
</html>
